from sharedapps.turbo_oauth	import models
from django.contrib		import admin


class CredentialAdmin(admin.ModelAdmin):
    fields = ['token', 'secret', 'consumer', 'user', 'vericode', 'issued_on']
    readonly_fields = ['user']
    list_display = ['token', 'consumer', 'user', 'is_token', 'is_temporary', 'is_authorized', 'issued_on']


class ReplayBarAdmin(admin.ModelAdmin):
    fields = ['token', 'timestamp', 'nonce']
    readonly_fields = ['token']
    list_display = ['token', 'timestamp', 'nonce']


admin.site.register(models.Consumer)
admin.site.register(models.Credential, CredentialAdmin)
admin.site.register(models.ReplayBar, ReplayBarAdmin)
